Replay
curl --request POST \
--url https://{deployment}/v1/replay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"proposal": {},
"grant_id": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"limit": 5000
}
'import requests
url = "https://{deployment}/v1/replay"
payload = {
"proposal": {},
"grant_id": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"limit": 5000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
proposal: {},
grant_id: '<string>',
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z',
limit: 5000
})
};
fetch('https://{deployment}/v1/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/replay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'proposal' => [
],
'grant_id' => '<string>',
'since' => '2023-11-07T05:31:56Z',
'until' => '2023-11-07T05:31:56Z',
'limit' => 5000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/replay"
payload := strings.NewReader("{\n \"proposal\": {},\n \"grant_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"limit\": 5000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/replay")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"proposal\": {},\n \"grant_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"limit\": 5000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/replay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"proposal\": {},\n \"grant_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"limit\": 5000\n}"
response = http.request(request)
puts response.read_body{
"proposal": {},
"window": {
"limit": 123,
"grant_id": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
},
"policy_version": "<string>",
"replayed": 123,
"unchanged": 123,
"changed": 123,
"skipped_unsealed": 123,
"skipped_other_policy_version": 123,
"inferred_budget_arm": 123,
"would_newly_refuse": 123,
"would_newly_allow": 123,
"transitions": {},
"sample_newly_refused": [
{
"ledger_id": "<string>",
"recorded": "<string>",
"counterfactual": "<string>",
"reason": "<string>",
"trajectory_id": "<string>",
"created_at": "<string>"
}
],
"sample_newly_allowed": [
{
"ledger_id": "<string>",
"recorded": "<string>",
"counterfactual": "<string>",
"reason": "<string>",
"trajectory_id": "<string>",
"created_at": "<string>"
}
],
"reading": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authority
Replay
Re-decide real history under a different policy.
Who may call it: any role. A workspace API key is refused here: this is an act that belongs to a named person.
POST
/
v1
/
replay
Replay
curl --request POST \
--url https://{deployment}/v1/replay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"proposal": {},
"grant_id": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"limit": 5000
}
'import requests
url = "https://{deployment}/v1/replay"
payload = {
"proposal": {},
"grant_id": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"limit": 5000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
proposal: {},
grant_id: '<string>',
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z',
limit: 5000
})
};
fetch('https://{deployment}/v1/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/replay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'proposal' => [
],
'grant_id' => '<string>',
'since' => '2023-11-07T05:31:56Z',
'until' => '2023-11-07T05:31:56Z',
'limit' => 5000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/replay"
payload := strings.NewReader("{\n \"proposal\": {},\n \"grant_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"limit\": 5000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/replay")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"proposal\": {},\n \"grant_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"limit\": 5000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/replay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"proposal\": {},\n \"grant_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"limit\": 5000\n}"
response = http.request(request)
puts response.read_body{
"proposal": {},
"window": {
"limit": 123,
"grant_id": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
},
"policy_version": "<string>",
"replayed": 123,
"unchanged": 123,
"changed": 123,
"skipped_unsealed": 123,
"skipped_other_policy_version": 123,
"inferred_budget_arm": 123,
"would_newly_refuse": 123,
"would_newly_allow": 123,
"transitions": {},
"sample_newly_refused": [
{
"ledger_id": "<string>",
"recorded": "<string>",
"counterfactual": "<string>",
"reason": "<string>",
"trajectory_id": "<string>",
"created_at": "<string>"
}
],
"sample_newly_allowed": [
{
"ledger_id": "<string>",
"recorded": "<string>",
"counterfactual": "<string>",
"reason": "<string>",
"trajectory_id": "<string>",
"created_at": "<string>"
}
],
"reading": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response
What a proposed change would have done across recorded history.
